#include "Message.h"

Message::Message(){
	type = 0;
	clientID = 0;
	packetID = 0;
}

void Message::setData(char *dataIn){
	data = new char[strlen(dataIn) + 1];
	strcpy(data, dataIn);
}

void Message::setType(int i) {
	type = i;
}
void Message::setClientID(int i){
	clientID = i;
}
void Message::setPacketID(int i){
	packetID = i;
}

char *Message::getTheData(){
	return data;
}
int Message::getType(){
	return type;
}
int Message::getClientID(){
	return clientID;
}
int Message::getPacketID(){
	return packetID;
}